Compiz places transient dialogs behind currently focused window

Bug #165161 reported by Matt Zimmerman on 2007-11-26
66
This bug affects 7 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: update-manager

During an upgrade from gutsy to hardy, update-manager failed to upgrade due to a bug (use of python 2.5 features) which seems to have since been fixed.

update-manager displayed a popup about the error, but it appeared behind the main progress dialog. I will attach a screenshot.

Related branches

Matt Zimmerman (mdz) wrote :
Matt Zimmerman (mdz) wrote :

This may, of course, be a window manager issue (I'm running compiz). Please pass this on if so.

Mackenzie Morgan (maco.m) wrote :

Were you using focus-follows-mouse or click-to-focus at the time? If the former, it could be that the progress dialog kept focus due to mouse placement. I have that happen fairly regularly.

 This could also be considered a duplicate of bug 215126 which asks that the everything-is-modal method currently employed by update-manager be done away with for usability reasons...one of the listed ones being this situation.

Changed in update-manager:
status: New → Incomplete

On Fri, Sep 26, 2008 at 07:16:00AM -0000, Mackenzie Morgan wrote:
> Were you using focus-follows-mouse or click-to-focus at the time? If
> the former, it could be that the progress dialog kept focus due to mouse
> placement. I have that happen fairly regularly.

I use neither. I think this is probably just a duplicate of one of the
compiz window placement bugs.

(the most recent example being how the logout/shutdown dialog is placed
behind a window in Intrepid...).

--
 - mdz

Is this still happening, by the way?

On Fri, Sep 26, 2008 at 08:43:56PM -0000, Mackenzie Morgan wrote:
> Is this still happening, by the way?

I haven't seen this specific situation with update-manager again (an error
during an upgrade is a rare case), but I still see a lot of things appearing
behind windows which should be in front, and on the wrong workspace, such
as:

 * Firefox HTTP authentication dialogs
 * The Log out and Shut down dialogs
 * Firefox popups from Google Calendar

--
 - mdz

Mackenzie Morgan (maco.m) wrote :

Which version of Ubuntu are you currently using? You being a Canonical guy, I'm kind of guessing Intrepid, but I still need to ask.

On Tue, Sep 30, 2008 at 10:02:51AM -0000, Mackenzie Morgan wrote:
> Which version of Ubuntu are you currently using? You being a Canonical
> guy, I'm kind of guessing Intrepid, but I still need to ask.

Yes, I'm currently running Intrepid.

bug 153676 and bug 164489 document similar behaviour.

--
 - mdz

Aanjhan Ranganathan (aanjhan) wrote :

I would like to confirm this bug too. For e.g. with compiz enabled, close Firefox (open with a few tabs) and when you get the "Confirm Quit" firefox dialog, empty trash. Now this Empty Trash confirmation dialog appears behing the Firefox Quit confirmation dialog.

When Compiz disabled, this works OK.

positivek (anonyhole) wrote :

Note similar issue in Bug 269478.

Robert Ancell (robert-ancell) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue for you. Can you try with the latest Ubuntu release? Thanks in advance.

Changed in compiz (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → High
assignee: nobody → Robert Ancell (robert-ancell)
Travis Watkins (amaranth) wrote :

I cannot reproduce this problem in karmic with the Firefox "Confirm Quit" dialog and the Empty Trash dialog, the trash one shows up on top. Does anyone have a simple way to reproduce this? Waiting for an upgrade failure could take some time. :)

Robert Ancell (robert-ancell) wrote :

System>Administration>Time and Date
Click unlock and the PolicyKit dialog will pop-up underneath the window. Clicking on the window brings it to the front.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.8.3+git20090914-0ubuntu1

---------------
compiz (1:0.8.3+git20090914-0ubuntu1) karmic; urgency=low

  * Pre-Version of the upcomming 0.8.4 bugfix release
    - fixes crashes LP: #268683, #284362, #346391, #351878, #352037, #380338
    - fixes crashes on 64bit arches due to issue in va_list use
    - fixes at least some of the doPoll/eventLoop crashes reported in
      LP: #131679, #145360, #279820
    - likely fixes crashes LP: #340428 and #360643
    - fixes placing of dialogs (e.g. PolicyKit) behind currently focused
      window (LP: #165161)
    - fixes placing of new windows behind fullscreen window (LP: #153676)
    - fixes wobbly bouncing near panel and screen edges (LP: #153374)
    - screenshot plugin now saves to the correct desktop directory by default
      (LP: #175116)
    - lowering a window now activates the topmost window, unless
      click-to-focus is off (LP: #122507)
    - fixes inconsistent icon sizes in switcher, ring, shift, staticswitcher
      plugins
    - fixes some memory leaks
    - texture compression is now off by default due to texture quality issues
    - ported KDE4 window decorator to KDE 4.3
  * debian/control:
    - add versionized dependency on compiz-wrapper from
      compiz-core

compiz (1:0.8.3+git20090907-0ubuntu1~ppa1) karmic; urgency=low

  * new git snapshot

compiz (1:0.8.3+git20090904-0ubuntu1~ppa2) karmic; urgency=low

  [ Travis Watkins ]
  * debian/compiz-manager:
    - set COMPIZ_PLUGINS to plugins we want to always have enabled

  [ Saïvann Carignan ]
  * debian/compiz-gnome.gconf-defaults: Re-enable desktop switching by
    default as it has been fixed by appropriate GNOME schemas. (LP: #414170)

compiz (1:0.8.3+git20090904-0ubuntu1~ppa1) karmic; urgency=low

  * new git snapshot:
    - fixes segfaults on 64bit arches
    - warning fixes
    - avoid adding core twice

compiz (1:0.8.3+git20090831-0ubuntu1) karmic; urgency=low

  [ Michael Vogt ]
  * new git snapshot with fixes from 0.8 branch:
    - fix stacking below problem with the polkit1 dialog
    - fixes doPoll() crash (LP: #131679)
    - many more bugfixes
  * debian/control:
    - add "Provides: x-window-manager" to the compiz package
      (LP: #364242)

  [ Robert Ancell ]
  * debian/control:
  * debian/rules:
    - Build a compiz-dbg package (LP: #420321)

 -- Michael Vogt <email address hidden> Mon, 14 Sep 2009 09:39:42 +0200

Changed in compiz (Ubuntu):
status: Triaged → Fix Released
Joe Baker (joebaker) wrote :

I'm running 64 bit Jaunty Ubuntu with Mozilla Thunderbird and Ubuntu's packages of

enigmail 2:0.95.7-1ubuntu2
 thunderbird 2.0.0.23+build1+nobinonly-0ubuntu0.9.04.1
 thunderbird-gnome-support 2.0.0.23+build1+nobinonly-0ubuntu0.9.04.1

With Compiz "Extra" settings enabled I still see this behavior exhibited when enigmail pops up to ask for my GPG passphrase (which I have set to do every time I send an email by choice)

Bug 164489 had been marked as a duplicate of this one, but describes the problem specifically with enigmail and thunderbird together. The temporary workaround is to set the appearance/Compiz settings
System -> Preferences -> Appearance -> Visual Effect = Normal or None

But I wish to enjoy the full desktop effects.

-Joe

Spuerhund (spuerhund) wrote :

On Ubuntu 10.04 with compiz effects enabled, the bug still happens with thunderbird and the enigmail password promt. So this bug is not fixed and needs to be reopened.

Changed in compiz (Ubuntu):
status: Fix Released → Confirmed
Umang Varma (umang) wrote :

I thought this was something to do with the Focus Prevention Level. However, when I set that to OFF, I can still reproduce what I think is the same problem:

I keep two windows (A and B) maximized. Ensure Window A has focus.
Show Desktop (using either a keyboard shortcut or by clicking the button that is at the right end of the bottom panel by default)
Now open Window B (note that Window A is still minimized because we had used Show Desktop).;
Then Restore Desktop (same button on bottom-right by default or same keyboard shortcut).

Expected result: either Window A or Window B has focus and is above the one that does not have focus.
Actual result: I can see window A over Window B, however Window B has focus as keyboard shortcuts are caught by Window B not Window A and Window B is selected in the taskbar even though window A is above Window B.

Omer Akram (om26er) wrote :

un-assigning since no body is working on it. I believe the issue does not happen anymore though.

Changed in compiz (Ubuntu):
assignee: Robert Ancell (robert-ancell) → nobody
importance: High → Medium

On 02/17/2011 12:51 PM, Omer Akram wrote:
> I believe the issue does not happen anymore though.

On what version? I am running an up-to-date lucid and am still affected
(just tried it out).

 Thank you for taking the time to report this bug and helping to make Ubuntu better. We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner. There have been many changes in Ubuntu since that time you reported the bug and your problem may have been fixed with some of the updates. It would help us a lot if you could test it on a currently supported Ubuntu version. When you test it and it is still an issue, kindly upload the updated logs by running apport-collect <bug #> and any other logs that are relevant for this particular issue.

Also, do keep in mind that 10.04 and 11.10 are both reaching the end of life very soon, so it would be more helpful if anyone could see if the problem is present on 12.04 and onwards. Thank you.

Changed in compiz (Ubuntu):
status: Confirmed → Incomplete
Umang Varma (umang) wrote :

Using my steps to reproduce in Comment 17, I am NOT affected with Unity on Ubuntu 12.10. The restored window stays on top even after I toggle "Show Desktop" (the hidden window is restored underneath the active window). So the window on top is the active window.

Great, thanks for confirming that this has been fixed!

Changed in compiz (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments